## libretools-20260104.tar.gz

=== Makefile ===
# Copyright (C) 2012-2018, 2024, 2026  Luke T. Shumaker <lukeshu@parabola.nu>
# Copyright (C) 2024  Bill Auger <bill-auger@programmer.net>
#
# SPDX-License-Identifier: GPL-2.0-or-later
#
# This file is part of Parabola Libretools.
#
# Libretools is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.
#
# Libretools is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

include $(dir $(lastword $(MAKEFILE_LIST)))/config.mk
include $(topsrcdir)/build-aux/Makefile.head.mk

libretools.out.mans =
libretools.out.bins =
libretools.out.libexecs =
libretools.out.libs =
libretools.out.docs =
libretools.out.confs =

files.src.gen += .srcversion-libretools.mk .srcversion-devtools.mk
nested.subdirs = src po

# 'check' ######################################################################

$(outdir)/check:
	cd $(@D)/test && ./testenv bats $(BATS_FLAGS) cases

# 'lint' #######################################################################

$(outdir)/lint:
	@$(MAKE) -k --no-print-directory $(addprefix $(outdir)/lint/,$(linters))
.PHONY: $(outdir)/lint
at.targets += $(outdir)/lint

linters  = editorconfig
linters += no-emacs-config
linters += no-vim-config
linters += trailing-ws
linters += indent
linters += shfmt
linters += copyright-headers
linters += license-headers
linters += authors

lint-should-be-empty = [[ -z "$$(tee /dev/stderr)" ]]

$(outdir)/lint/editorconfig:
	@for file in $(addprefix $(srcdir)/,$(_gitfiles.all)); do \
	  if editorconfig $$PWD/$$file | grep -q '^_mode=unknown'; then \
	    echo ".editorconfig: no section for $$file"; \
	  fi; \
	done | $(lint-should-be-empty)
$(outdir)/lint/no-emacs-config:
	@grep -an '[-][*][-]' -- $(addprefix $(srcdir)/,$(_gitfiles.all)) | \
	  sed -E 's/^([^:]+:[0-9]+:).*/\1 Emacs config line, use .editorconfig or .dir-locals.el instead/' | \
	  $(lint-should-be-empty)
$(outdir)/lint/no-vim-config:
	@grep -an '[v][i][m][:]' -- $(addprefix $(srcdir)/,$(_gitfiles.all)) | \
	  sed -E 's/^([^:]+:[0-9]+:).*/\1 Vim config line, use .editorconfig instead/' | \
	  $(lint-should-be-empty)
$(outdir)/lint/trailing-ws:
	@grep -an $$'[ \t]$$' -- $(addprefix $(srcdir)/,$(_gitfiles.all)) | \
	  sed -E 's/^([^:]+:[0-9]+:).*/\1 trailing whitespace/' | \
	  $(lint-should-be-empty)
$(outdir)/lint/indent:
	@for file in $(addprefix $(srcdir)/,$(_gitfiles.all)); do \
	  case "$$(editorconfig $$PWD/$$file | sed -n 's/^_mode=//p')" in \
	    make|tar) continue ;; \
	  esac; \
	  style="$$(editorconfig $$PWD/$$file | sed -n 's/^indent_style=//p')"; \
	  case "$$style" in \
	    space) grep -aHn $$'^\t' $$file | sed -E 's/^([^:]+:[0-9]+:).*/\1 has tab when it should have space/' ;; \
	    tab)   grep -aHn '^ '    $$file | sed -E 's/^([^:]+:[0-9]+:).*/\1 has space when it should have tab/' ;; \
	    *)     echo ".editorconfig: $$file: unknown indent_style=$${style@Q}" ;; \
	  esac; \
	done | $(lint-should-be-empty)
$(outdir)/lint/shfmt:
	@for file in $(addprefix $(srcdir)/,$(_gitfiles.all)); do \
	  if editorconfig "$$PWD/$$file" | grep -q -e ^shell_variant=; then \
	    echo "$$file"; \
	  fi; \
	done | \
	  xargs -r shfmt --list -- | \
	  sed 's/$$/: not formatted with shfmt/' | \
	  $(lint-should-be-empty)

non-copyright-globs  = COPYIN%
non-copyright-globs += AUTHORS.md
non-copyright-globs += test/fixtures/%
non-copyright-globs += %.conf
non-copyright-globs += %.conf.in
non-copyright-globs += config.mk
non-copyright-globs += po/header.po.head.in
non-copyright-globs += build-aux/license-headers/%.re

$(outdir)/build-aux/license-headers.re: $(srcdir)/build-aux/license-headers $(addprefix $(srcdir)/,$(filter build-aux/license-headers/%.re,$(_gitfiles.all)))
	for f in $(filter %.re,$^); do <"$$f" tr $$'\n' $$'\r' | sed -E -e $$'s/\r/\\\\n/g' -e 's/(\\n)*$$/|/'; done | sed 's/|$$//' >$@
at.targets += $(outdir)/build-aux/license-headers.re

$(outdir)/lint/copyright-headers: $(outdir)/build-aux/license-headers.re
	@grep -aL '^[#; ]*Copyright ([Cc]) [0-9]' -- $(addprefix $(srcdir)/,$(filter-out $(non-copyright-globs),$(_gitfiles.all))) | \
	  sed 's/$$/: does not have a copyright header/' | \
	  $(lint-should-be-empty)
	@grep -aHn '^[#; ]*Copyright ([Cc]) [0-9]' -- $(addprefix $(srcdir)/,$(filter-out $(non-copyright-globs),$(_gitfiles.all))) | \
	  grep -avE '^([^:]+:[0-9]+:)[#; ]*Copyright \(C\) [0-9]{4}(-[0-9]{4})?(, [0-9]{4}(-[0-9]{4})?)*  [^-0-9,\n ]' | \
	  sed -E 's/^([^:]+:[0-9]+:).*/\1 malformed copyright line/' | \
	  $(lint-should-be-empty)
	@for file in $(addprefix $(srcdir)/,$(filter-out $(non-copyright-globs),$(_gitfiles.all))); do \
	  diff=$$(diff -u \
	    <(grep -a '^[#; ]*Copyright (C) [0-9]' -- "$$file") \
	    <(grep -azPo -f $< -- "$$file" | grep -a Copyright) | \
	    sed 1,2d); \
	  if [[ -n "$$diff" ]]; then \
	    echo "$$file: has copyright statements separate from license statement:"; \
	    sed 's/^/  /' <<<"$$diff"; \
	  fi; \
	done | $(lint-should-be-empty)

$(outdir)/lint/license-headers: $(outdir)/build-aux/license-headers.re
	@grep -aLzP -f $< -- $(addprefix $(srcdir)/,$(filter-out $(non-copyright-globs),$(_gitfiles.all))) | \
	  sed 's/$$/: does not have a valid license header/' | \
	  $(lint-should-be-empty)

$(outdir)/lint/authors:
	@{ \
	  copyright_only=$$(comm -23 \
	    <(grep -ah '^[#; ]*Copyright (C) [0-9]' -- $(addprefix $(srcdir)/,$(filter-out $(non-copyright-globs),$(_gitfiles.all))) | sed 's/^[#; ]*Copyright (C) [-0-9, ]*//' | sort -u) \
	    <(sed -n 's/^- //p' AUTHORS.md | sort -u)); \
	  if [[ -n "$$copyright_only" ]]; then \
	    echo 'The following idents are mentioned in "Copyright (C)" statements, but not in AUTHORS.md:'; \
	    sed 's/^/  /' <<<"$$copyright_only"; \
	    exit 1; \
	  fi >&2; \
	}

.PHONY: $(addprefix $(outdir)/lint/,$(linters))
at.targets += $(addprefix $(outdir)/lint/,$(linters))

$(outdir)/shellcheck: private shellcheck.flags = --exclude=1090,1091,2016,2059,2064,2164,2191
$(outdir)/shellcheck: private shellcheck.prune = -false
$(outdir)/shellcheck: private shellcheck.prune += -o -type d -name doc
$(outdir)/shellcheck: private shellcheck.prune += -o -type d -name man
$(outdir)/shellcheck: private shellcheck.prune += -o -type f -name indent
$(outdir)/shellcheck: private shellcheck.prune += -o -type f -name Makefile
$(outdir)/shellcheck: private shellcheck.prune += -o -type f -name makepkg.gen
$(outdir)/shellcheck: private shellcheck.prune += -o -type f -name source.sh.gen
$(outdir)/shellcheck:
	cd $(@D)/test && ./testenv 'cd "$$TMPDIR/destdir" && find \( $(shellcheck.prune) \) -prune -o -not -type d -exec shellcheck $(shellcheck.flags) {} +'

# 'format' #####################################################################

$(outdir)/format: $(outdir)/format/shfmt .WAIT $(outdir)/msgmerge
.PHONY: $(outdir)/format
at.targets += $(outdir)/format

$(outdir)/format/shfmt:
	@for file in $(addprefix $(srcdir)/,$(_gitfiles.all)); do \
	  if editorconfig "$$PWD/$$file" | grep -q -e ^shell_variant=; then \
	    echo "$$file"; \
	  fi; \
	done | xargs -r -t shfmt --write --
.PHONY: $(outdir)/format/shfmt
at.targets += $(outdir)/format/shfmt

$(outdir)/msgmerge: $(call at.path,$(outdir)/po/msgmerge)
.PHONY: $(outdir)/msgmerge
at.targets += $(outdir)/msgmerge

# Footer #######################################################################

include $(topsrcdir)/build-aux/Makefile.tail.mk

=== po/Makefile ===
# Copyright (C) 2017-2018, 2024  Luke T. Shumaker <lukeshu@parabola.nu>
#
# SPDX-License-Identifier: GPL-2.0-or-later
#
# This file is part of Parabola Libretools.
#
# Libretools is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.
#
# Libretools is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

include $(dir $(lastword $(MAKEFILE_LIST)))/../config.mk
include $(topsrcdir)/build-aux/Makefile.head.mk

domains = $(filter-out all,$(libretools.groups))
locales := $(filter-out .,$(sort $(patsubst %/,%,$(dir $(files.src.src)))))

files.src.gen += $(addsuffix .pot,$(domains))
nested.subdirs += $(locales)

# Have the header include the version number
$(srcdir)/header.po.head: $(srcdir)/%: $(srcdir)/%.in
	@echo 'EDIT < $< > $@'; $(libretools.edit) < '$<' > '$@'
$(srcdir)/header.po.head: $(var.)PACKAGE $(var.)VERSION
files.src.int += header.po.head

# Rely on ../Makefile to fill in a list of our .pot dependencies
$(srcdir)/%.pot: $(srcdir)/header.po.head
	@echo 'MSGCAT $^ > $@';
	@{ \
		cd $(topsrcdir) && \
		for file in $(call at.relto,$(topsrcdir),$^); do \
			sed "/^#:/s, , $${file%/*}/,g" <"$$file"; \
		done; \
	} | msguniq -Fi > '$@'
at.subdirs += ..

$(outdir)/msgmerge:
.PHONY: $(outdir)/msgmerge
nested.targets += $(outdir)/msgmerge

include $(topsrcdir)/build-aux/Makefile.tail.mk

=== src/Makefile ===
# Copyright (C) 2012-2013, 2016-2018  Luke T. Shumaker <lukeshu@parabola.nu>
#
# SPDX-License-Identifier: GPL-2.0-or-later
#
# This file is part of Parabola Libretools.
#
# Libretools is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.
#
# Libretools is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

include $(dir $(lastword $(MAKEFILE_LIST)))/../config.mk
include $(topsrcdir)/build-aux/Makefile.head.mk

pkgconfdir = $(sysconfdir)

nested.subdirs += abslibre-tools
nested.subdirs += chroot-tools
nested.subdirs += devtools
nested.subdirs += gitget
nested.subdirs += lib
nested.subdirs += librefetch
nested.subdirs += toru

include $(topsrcdir)/build-aux/Makefile.tail.mk

=== po/es/Makefile ===
# Copyright (C) 2017-2018, 2024  Luke T. Shumaker <lukeshu@parabola.nu>
#
# SPDX-License-Identifier: GPL-2.0-or-later
#
# This file is part of Parabola Libretools.
#
# Libretools is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.
#
# Libretools is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

include $(dir $(lastword $(MAKEFILE_LIST)))/../../config.mk
include $(topsrcdir)/build-aux/Makefile.head.mk

locale = $(notdir $(srcdir))
domains = $(patsubst %.po,%,$(filter %.po,$(files.src.src)))

$(outdir)/%.mo: $(srcdir)/%.po $(call at.path,$(srcdir)/../%.pot)
	msgcmp --use-untranslated --use-fuzzy $< $(word 2,$^)
	msgfmt -c --use-fuzzy -o $@ $<

$(DESTDIR)$(localedir)/$(locale)/LC_MESSAGES/%.mo: $(outdir)/%.mo
	install -T -Dm644 '$<' '$@'

define _domain_rule
files.out.$(domain) += $(domain).mo
files.sys.$(domain) += $(localedir)/$(locale)/LC_MESSAGES/$(domain).mo
endef
$(eval $(foreach domain,$(domains),$(_domain_rule)$(at.nl)))

$(outdir)/%.msgmerge: $(srcdir)/%.po $(call at.path,$(srcdir)/../%.pot)
	msgmerge --indent --no-location --update $< $(word 2,$^)
at.targets += $(outdir)/%.msgmerge
.PHONY: $(outdir)/%.msgmerge

$(outdir)/msgmerge: $(foreach domain,$(domains),$(outdir)/$(domain).msgmerge)
.PHONY: $(outdir)/msgmerge
at.targets += $(outdir)/msgmerge

at.subdirs += ..

include $(topsrcdir)/build-aux/Makefile.tail.mk

=== src/abslibre-tools/Makefile ===
# Copyright (C) 2012-2013, 2016-2017, 2024  Luke T. Shumaker <lukeshu@parabola.nu>
#
# SPDX-License-Identifier: GPL-2.0-or-later
#
# This file is part of Parabola Libretools.
#
# Libretools is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.
#
# Libretools is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

include $(dir $(lastword $(MAKEFILE_LIST)))/../../config.mk
include $(topsrcdir)/build-aux/Makefile.head.mk

libretools.out.bins := $(filter-out librerelease-pbot-notify,$(libretools.out.bins))
libretools.out.libexecs = librerelease-pbot-notify

include $(topsrcdir)/build-aux/Makefile.tail.mk

=== src/chroot-tools/Makefile ===
# Copyright (C) 2012-2018, 2024  Luke T. Shumaker <lukeshu@parabola.nu>
#
# SPDX-License-Identifier: GPL-2.0-or-later
#
# This file is part of Parabola Libretools.
#
# Libretools is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.
#
# Libretools is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

include $(dir $(lastword $(MAKEFILE_LIST)))/../../config.mk
include $(topsrcdir)/build-aux/Makefile.head.mk

pkglibexecdir = $(libexecdir)/libretools/chroot
pkglibdir = $(libdir)/libretools/chroot

libretools.src.devtools = makechrootpkg.in mkarchroot.in arch-nspawn.in
libretools.out.bins     = librechroot libremakepkg
libretools.out.libexecs = arch-nspawn chcleanup distcc-tool mkarchroot
libretools.out.libs     = $(libretools.src.sh) makechrootpkg.sh
files.out.int          += chcleanup.lib
files.sys.libretools   += $(bindir)/chcleanup # not in libretools.out.bins because explicit rule

$(srcdir)/makechrootpkg.sh.in: $(srcdir)/makechrootpkg.in
	sed -e '1s^.*^#!/hint/bash -euE^' -e '/^\s*main "$$@"\s*$$/d' < $< > $@

$(outdir)/chcleanup: $(srcdir)/chcleanup.in $(call at.path,$(outdir)/../lib/embedlib.sh)
	sed $$'/@EMBEDLIB.SH@/{r $(word 2,$^)\nd;}' < $< | $(libretools.edit) | install -m755 /dev/stdin $@

$(outdir)/distcc-tool.pot: LIBREXGETTEXT_FLAGS+=--simple=errusage

$(DESTDIR)$(bindir)/chcleanup: $(var.)bindir $(var.)libexecdir
	$(MKDIR_P) $(@D)
	ln -srfT $(DESTDIR)$(libexecdir)/libretools/chroot/chcleanup $@

at.subdirs += ../lib

include $(topsrcdir)/build-aux/Makefile.tail.mk

=== src/devtools/Makefile ===
# Copyright (C) 2013, 2016-2018  Luke T. Shumaker <lukeshu@parabola.nu>
#
# SPDX-License-Identifier: GPL-2.0-or-later
#
# This file is part of Parabola Libretools.
#
# Libretools is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.
#
# Libretools is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

include $(dir $(lastword $(MAKEFILE_LIST)))/../../config.mk
include $(topsrcdir)/build-aux/Makefile.head.mk

libretools.out.bins     = checkpkg find-libdeps finddeps lddd
libretools.src.devtools = $(addsuffix .in,$(libretools.out.bins))
files.sys.libretools   += $(bindir)/find-libprovides

$(DESTDIR)$(bindir)/find-libprovides:
	$(MKDIR_P) $(@D)
	ln -sf find-libdeps $@

include $(topsrcdir)/build-aux/Makefile.tail.mk

=== src/gitget/Makefile ===
# Copyright (C) 2013, 2016, 2018  Luke T. Shumaker <lukeshu@parabola.nu>
#
# SPDX-License-Identifier: GPL-2.0-or-later
#
# This file is part of Parabola Libretools.
#
# Libretools is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.
#
# Libretools is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

include $(dir $(lastword $(MAKEFILE_LIST)))/../../config.mk
include $(topsrcdir)/build-aux/Makefile.head.mk

libretools.pkg = gitget

include $(topsrcdir)/build-aux/Makefile.tail.mk

=== src/lib/Makefile ===
# Copyright (C) 2012-2014, 2016-2018, 2024  Luke T. Shumaker <lukeshu@parabola.nu>
#
# SPDX-License-Identifier: GPL-2.0-or-later
#
# This file is part of Parabola Libretools.
#
# Libretools is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.
#
# Libretools is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

include $(dir $(lastword $(MAKEFILE_LIST)))/../../config.mk
include $(topsrcdir)/build-aux/Makefile.head.mk

libretools.pkg = librelib

libretools.src.devtools  = common.sh.in archroot.sh.in
libretools.out.libs     += common.sh    archroot.sh    conf.sh

libretools.out.bins := $(filter-out indent %.gen,$(libretools.out.bins)) librexgettext
libretools.out.libexecs = indent

# Build ##############################################################

$(outdir)/conf.sh: $(var.)sysconfdir $(var.)pkgconfdir

$(outdir)/librexgettext: $(srcdir)/librexgettext.in $(srcdir)/embedlib.sh
	sed $$'/@EMBEDLIB.SH@/{r $(outdir)/embedlib.sh\nd;}' < $< | $(libretools.edit) | install -m755 /dev/stdin $@

$(outdir)/embedlib.sh: $(srcdir)/embedlib.sh.gen $(srcdir)/messages.sh $(srcdir)/common.sh
	$(abspath $^) > $@

# Translate ##########################################################

$(outdir)/blacklist.sh.pot: $(srcdir)/blacklist.sh $(srcdir)/librexgettext
	@echo "OUT $@"
	@{ \
		sed -n '/^# Usage:/,/()/{ /^#/ { =; p; } }' $< | \
			sed -E -e 's/^# (.*)/msgid "\1"\nmsgstr ""\n/' \
			       -e 's|^[0-9]*$$|#. embedded usage text\n#: $(<F):&|' && \
		cd $(<D) && ./librexgettext --simple=_l:2 $(<F) && \
	:; } | $(libretools.pofmt) > $@
$(outdir)/common.sh.pot    : LIBREXGETTEXT_FLAGS += --simple=_l:2
$(outdir)/conf.sh.pot      : LIBREXGETTEXT_FLAGS += --simple=_l:2
$(outdir)/librelib.pot     : LIBREXGETTEXT_FLAGS += --simple=_l:2
$(outdir)/messages.sh.pot  : LIBREXGETTEXT_FLAGS += --simple=_l:2
$(outdir)/librexgettext.pot: LIBREXGETTEXT_FLAGS += --simple=errusage

######################################################################

include $(topsrcdir)/build-aux/Makefile.tail.mk

=== src/librefetch/Makefile ===
# Copyright (C) 2013, 2015-2018, 2024  Luke T. Shumaker <lukeshu@parabola.nu>
#
# SPDX-License-Identifier: GPL-2.0-or-later
#
# This file is part of Parabola Libretools.
#
# Libretools is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.
#
# Libretools is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

include $(dir $(lastword $(MAKEFILE_LIST)))/../../config.mk
include $(topsrcdir)/build-aux/Makefile.head.mk

libretools.out.bins     = librefetch
libretools.out.confs    = $(libretools.src.conf)
libretools.out.libexecs =                                         $(filter librefetchdir/%,$(libretools.src.exec))
libretools.out.libs     = $(filter-out $(libretools.out.libexecs),$(filter librefetchdir/%,$(libretools.src.git)))
libretools.pots         = $(libretools.out.bins)
libretools.out          = makepkg-librefetch.conf

files.sys.$(libretools.pkg) += /etc/makepkg.conf.d/librefetch.conf

$(outdir)/makepkg-librefetch.conf: $(var.)bindir

$(DESTDIR)/etc/makepkg.conf.d/librefetch.conf: $(outdir)/makepkg-librefetch.conf
	install -T -Dm644 '$<' '$@'

include $(topsrcdir)/build-aux/Makefile.tail.mk

=== src/toru/Makefile ===
# Copyright (C) 2012-2013, 2016  Luke T. Shumaker <lukeshu@parabola.nu>
#
# SPDX-License-Identifier: GPL-2.0-or-later
#
# This file is part of Parabola Libretools.
#
# Libretools is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.
#
# Libretools is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

include $(dir $(lastword $(MAKEFILE_LIST)))/../../config.mk
include $(topsrcdir)/build-aux/Makefile.head.mk

include $(topsrcdir)/build-aux/Makefile.tail.mk

=== test/fixtures/toru/libre/simple/PKGBUILD ===
pkgname='simple'
pkgver=1.0
license=('GPL')
url='https://parabola.nu'

pkgrel=1
arch=(any)

package() {
  :
}

=== test/fixtures/toru/libre/split-base/PKGBUILD ===
pkgbase=split-base
pkgname=(FOO BAR BAZ)
pkgver=1.0
license=('GPL')
url='https://parabola.nu'

pkgrel=1
arch=(any)

package_FOO() {
  :
}

package_BAR() {
  :
}

package_BAZ() {
  :
}

=== test/fixtures/toru/libre/split/PKGBUILD ===
pkgname=(foo bar baz)
pkgver=1.0
license=('GPL')
url='https://parabola.nu'

pkgrel=1
arch=(any)

package_foo() {
  :
}

package_bar() {
  :
}

package_baz() {
  :
}
